> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vidgo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Wan 2.6

> Wan 2.6 API 使用 Alibaba Wan 2.6 生成多镜头 1080p 视频

> [!TIP]
>
> 1. 提交后会返回 `task_id`。如果提供了 `callback_url`，当任务状态变为 `finished` 或 `failed` 时，系统会向 `callback_url` 发送 POST 请求。
> 2. 无论是否提供 `callback_url`，都可以通过统一的[查询任务状态](https://docs.vidgo.ai/zh/api-manual/task-management/status.md)接口获取结果。

Wan 2.6 是 Alibaba 最新的视频生成模型系列，支持文生视频、图生视频和视频生视频工作流，具备稳定的角色一致性、多镜头构图和 1080p 输出。

## 模型

* **wan2.6-text-to-video** - 根据文本提示词生成视频
* **wan2.6-image-to-video** - 结合提示词让参考图片动起来
* **wan2.6-video-to-video** - 根据提示词编辑或重绘输入视频

## 功能

* **时长**：5、10 或 15 秒（视频生视频最长 10 秒）
* **分辨率**：720p 或 1080p
* **多镜头**：开关多镜头构图，实现电影感转场
* **提示词长度**：最多 5,000 个字符

## 工作流 ID

原有 ID 仍可使用。新接入可选择专用的工作流：

* [alibaba/wan-2.6/text-to-video](https://docs.vidgo.ai/zh/api-manual/video-series/alibaba-wan-2-6-text-to-video.md)
* [alibaba/wan-2.6/image-to-video](https://docs.vidgo.ai/zh/api-manual/video-series/alibaba-wan-2-6-image-to-video.md)
* [alibaba/wan-2.6/reference-to-video](https://docs.vidgo.ai/zh/api-manual/video-series/alibaba-wan-2-6-reference-to-video.md)


## OpenAPI

````yaml zh/api-manual/video-series/wan-2-6.json POST /api/generate/submit
openapi: 3.0.0
info:
  title: Vidgo API - Wan 2.6 API
  description: 使用 Alibaba Wan 2.6 模型生成多镜头 1080p 视频
  version: 1.0.0
servers:
  - url: https://api.vidgo.ai
    description: 生产环境服务器
security:
  - BearerAuth: []
paths:
  /api/generate/submit:
    post:
      tags:
        - Wan 2.6
      summary: 提交 Wan 2.6 视频生成任务
      description: 使用 Wan 2.6 模型，通过文生视频、图生视频或视频生视频工作流生成视频
      operationId: submitWan26Task
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SubmitRequest'
            examples:
              wan2.6-text-to-video:
                summary: Wan 2.6 文生视频
                value:
                  model: wan2.6-text-to-video
                  callback_url: https://your-domain.com/callback
                  input:
                    prompt: >-
                      A cinematic time-lapse of a bustling city street
                      transitioning from day to night.
                    duration: 5
                    resolution: 1080p
                    multi_shots: false
              wan2.6-image-to-video:
                summary: Wan 2.6 图生视频
                value:
                  model: wan2.6-image-to-video
                  callback_url: https://your-domain.com/callback
                  input:
                    prompt: >-
                      A warm, cinematic zoom-in on the subject with gentle
                      camera motion.
                    image_urls:
                      - https://cdn.vidgo.ai/temp/image.jpg
                    duration: 5
                    resolution: 1080p
                    multi_shots: false
              wan2.6-video-to-video:
                summary: Wan 2.6 视频生视频
                value:
                  model: wan2.6-video-to-video
                  callback_url: https://your-domain.com/callback
                  input:
                    prompt: >-
                      Restyle the clip into a dreamy, pastel-toned aesthetic
                      with soft lighting.
                    video_urls:
                      - https://cdn.vidgo.ai/temp/video.mp4
                    duration: 5
                    resolution: 1080p
                    multi_shots: false
      responses:
        '200':
          description: 任务提交成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubmitResponse'
components:
  schemas:
    SubmitRequest:
      type: object
      required:
        - model
      properties:
        model:
          type: string
          example: wan2.6-text-to-video
        callback_url:
          type: string
          format: uri
          description: 用于接收结果通知的 Webhook 回调 URL
          example: https://your-domain.com/callback
        input:
          type: object
          required:
            - prompt
          description: 生成参数
          properties:
            prompt:
              type: string
              description: 视频生成的文本提示词
              maxLength: 5000
              example: A cinematic video scene
            image_urls:
              type: array
              items:
                type: string
                format: uri
              minItems: 1
              maxItems: 1
              description: >-
                图生视频的参考图片 URL（仅 wan2.6-image-to-video）。最多 1
                张；支持格式：.jpeg、.jpg、.png、.webp；最大 10MB
              example:
                - https://cdn.vidgo.ai/temp/image.jpg
            video_urls:
              type: array
              items:
                type: string
                format: uri
              minItems: 1
              maxItems: 3
              description: >-
                视频生视频的参考视频 URL（仅 wan2.6-video-to-video）。最多 3
                个视频；支持格式：.mp4、.mov、.mkv；最大 10MB
              example:
                - https://cdn.vidgo.ai/temp/video.mp4
            duration:
              type: integer
              description: 视频时长（秒）（文生视频和图生视频支持 15 秒）
              enum:
                - 5
                - 10
                - 15
              example: 5
            resolution:
              type: string
              description: 输出视频分辨率
              enum:
                - 720p
                - 1080p
              example: 1080p
            multi_shots:
              type: boolean
              description: 启用多镜头构图（为 false 时为单个连续镜头）
              example: false
    SubmitResponse:
      type: object
      required:
        - code
        - data
      properties:
        code:
          type: integer
          example: 200
          description: HTTP 状态码
        data:
          type: object
          required:
            - task_id
            - status
            - created_time
          properties:
            task_id:
              type: string
              example: task-unified-1757165031-uyujaw3d
              description: 任务唯一标识，用于跟踪状态
            status:
              type: string
              enum:
                - not_started
              example: not_started
              description: 任务初始状态
            created_time:
              type: string
              format: date-time
              example: '2025-11-12T10:30:00'
              description: 任务创建时间，ISO 8601 格式
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: >-
        所有 API 接口都需要 Bearer Token 认证


        获取 API Key：


        访问 [API Key 管理页面](https://vidgo.ai/apis/dashboard/api-key)（**仪表盘 → API
        密钥**）获取 API Key


        添加到请求头：


        ```

        Authorization: Bearer VIDGO_API_KEY

        ```

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.